/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "restack.h"

void _pokerGameActionRestackOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
) {
  pokergame_t *game = (pokergame_t *)action->data;
  pokerGameQueueRestack(game);
  queueNext(queue);
}

queueaction_t * pokerGameActionRestackAdd(pokergame_t *game) {
  queueaction_t *action = pokerGameActionAdd(game);
  action->onStart = &_pokerGameActionRestackOnStart;
  return action;
}